Subject: Re: bcm43xx-d80211 broadcast reception with WPA

From: Michael Buesch <[email-masked]>
Date: Sat, 11 Nov 2006 16:07:05 +0100

Please _don't_ remove CCs.

On Saturday 11 November 2006 07:32, Paul Hampson wrote:
> Michael Buesch <mb <at> bu3sch.de> writes:
> 
> > On Thursday 09 November 2006 23:23, Paul Hampson wrote:
> > > I've been backporting the bcm43xx-d80211 driver to whatever the released
> > > 2.6 kernel was using the rt2x00 project's d80211 stack (equivalent to
> > > current wireless-dev but with a workaround for not having a ieee80211_dev
> > > pointer and still using the _tfm interface instead of the _cypher interface.)
> 
> > > As of last night's wireless-dev tree bcm43xx, everything seems to be
> > > operating fine except incoming broadcast traffic is coming in 14 bytes too
> > > long and scrambled. I presume this means it's not decrypting properly...
> 
> > It sounds like a bug in the hardware decryption setup.
> > Are you using TKIP or not?
> 
> Yes, it's using TKIP. The router docs and the loading of the tkip module
> when I use the softmac driver agree on this.

TKIP is still software encryption. Did you try with WPA-AES, for example,
which is hardware encryption?

The problem might be that the card tries to decrypt mcast
frames in the crypto hardware, although we did not set a key.
So it uses a random key to decrypt. That obviously results in crap.

-- 
Greetings Michael.